Browse like no one’s watching. The new Firefox Klar automatically blocks a wide range of online trackers — from the moment you launch it to the second you leave it. Easily erase your history, passwords and cookies, so you won’t get followed by things like unwanted ads.

“Private browsing” on most browsers isn’t comprehensive or easy to use. Klar is next-level privacy that’s free, always on and always on your side — because it’s backed by Mozilla, the non-profit that fights for your rights on the Web.

AUTOMATIC PRIVACY
• Blocks a wide range of common Web trackers without any settings to set
• Easily erases your history — no passwords, no cookies, no trackers

BROWSE FASTER
• By removing trackers and ads, Web pages may require less data and load faster

MADE BY MOZILLA
• We believe everyone should have control over their lives online. That’s what we’ve been fighting for since 1998.
